#include "xc.h"

/** CONFIGURATION **************************************************/

        __CONFIG(FOSC_HS & WDTE_OFF & PWRTE_OFF & MCLRE_ON & CP_OFF & BOREN_ON & CLKOUTEN_OFF & IESO_OFF & FCMEN_OFF);
        __CONFIG(WRT_OFF & STVREN_ON &  BORV_LO & LPBOR_OFF & LVP_OFF);


int main(void)
{
	TRISB = 0xff;	// set all PORTB to input
					// "0" corresponds to "o"utput and "1" to "i"nput
	ANSELB= 0x00;	// set all RB to digital pin

	TRISC = 0x7f;	// set only PORTC(RB7 pin) to output
					// "0" corresponds to "o"utput and "1" to "i"nput
	ANSELC= 0x00;	// set all RC to digital pin

	OPTION_REGbits.nWPUEN=0;	//weak pull-up enable
	WPUB=0x40;		//weak pull-up for RB6


	INTCONbits.GIE=1;	//Global Interrupt Enable
 	INTCONbits.IOCIE=1;	//Interrupt-on-Change Enable
	IOCBNbits.IOCBN6=1;	//Negative edge
	IOCBFbits.IOCBF6=0;	//Clear Interrupt Flag

	LATCbits.LATC7=0;	//RC7=0

	while(1);	//Loop
}

void interrupt isr(void){
	LATCbits.LATC7=!PORTCbits.RC7;
	IOCBFbits.IOCBF6=0;
}

